import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:qyfk/qyfk.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await Qyfk.platformVersion;
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    await Qyfk.init('50f61d0a654f720c66cc6bda9b4ed2e7', '在线客服');
    
    await Qyfk.uploadCRM("1000", "Hugo", "18888058110");

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
            child: Builder(
          builder: (context) => RaisedButton(
                onPressed: () => {
                Qyfk.show()
//                      Navigator.of(context).push(MaterialPageRoute(
//                        builder: (context) => Scaffold(
//                              appBar: AppBar(
//                                title: const Text('Plugin example app'),
//                                actions: <Widget>[
//                                  FlatButton(
//                                    child: Text('在线客服'),
//                                    onPressed: () => Qyfk.requestHumanStaff(),
//                                  )
//                                ],
//                              ),
//                              body: QYKF(
//                                isHuman: false,
//                              ),
//                            ),
//                      )),
                    },
                child: Text(
                  "点我打开客服",
                ),
              ),
        )),
      ),
    );
  }
}
