//
//  FlutterQYKF.m
//  qyfk
//
//  Created by xiao7 on 2019/4/20.
//

#import "FlutterQYKF.h"
#import <QIYU_iOS_SDK/QYSDK.h>

@implementation FLTQYKFFactory {
    NSObject<FlutterBinaryMessenger>* _messenger;
}

- (instancetype)initWithMessenger:(NSObject<FlutterBinaryMessenger>*)messenger {
    self = [super init];
    if (self) {
        _messenger = messenger;
    }
    return self;
}

- (NSObject<FlutterMessageCodec>*)createArgsCodec {
    return [FlutterStandardMessageCodec sharedInstance];
}

- (NSObject<FlutterPlatformView>*)createWithFrame:(CGRect)frame
                                   viewIdentifier:(int64_t)viewId
                                        arguments:(id _Nullable)args {
    FLTQYKFController* controller = [[FLTQYKFController alloc] initWithFrame:frame
                                                              viewIdentifier:viewId
                                                                   arguments:args
                                                             binaryMessenger:_messenger];
    return controller;
}

@end

@implementation FLTQYKFController {
    int64_t _viewId;
    FlutterMethodChannel* _channel;
    QYSessionViewController *_sessionViewController;
    UIView *_view;
}

- (instancetype)initWithFrame:(CGRect)frame
               viewIdentifier:(int64_t)viewId
                    arguments:(id _Nullable)args
              binaryMessenger:(NSObject<FlutterBinaryMessenger>*)messenger {
    if ([super init]) {
        _viewId = viewId;
        
        NSString* channelName = @"qyfk";
        _channel = [FlutterMethodChannel methodChannelWithName:channelName binaryMessenger:messenger];
        
        QYSource *source = [[QYSource alloc] init];
        source.title =  @"在线客服";
        source.urlString = @"https://8.163.com/";
        
        QYSessionViewController *sessionViewController = [[QYSDK sharedSDK] sessionViewController];
        sessionViewController.sessionTitle = @"在线客服";
        sessionViewController.source = source;
        sessionViewController.groupId = 0;
        sessionViewController.staffId = 0;
        sessionViewController.commonQuestionTemplateId = 0;
        sessionViewController.openRobotInShuntMode = YES;
        _sessionViewController = sessionViewController;
        
        //增加flutter调用ios方法
        [_channel setMethodCallHandler:^(FlutterMethodCall * _Nonnull call, FlutterResult  _Nonnull result) {
            if ([@"requestHumanStaff" isEqualToString:call.method]) {
                [sessionViewController requestHumanStaff];
                
                result(nil);
            } else {
                result(FlutterMethodNotImplemented);
            }
        }];

        //是否显示人工客服
        BOOL isHuman = [args[@"isHuman"] boolValue];
        if (isHuman) {
            [sessionViewController requestHumanStaff];
        }
    }
    return self;
}

- (UIView *)view {
    return _sessionViewController.view;
}

@end


