import 'dart:async';

import 'package:flutter/services.dart';

export 'package:qyfk/qykf_flutter.dart';

class Qyfk {
  static const MethodChannel _channel =
      const MethodChannel('qyfk');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> init(String appKey, String appName) async {
    final String version = await _channel.invokeMethod('init', [appKey, appName]);
    return version;
  }

  static Future<Null> requestHumanStaff() async {
    await _channel.invokeMethod('requestHumanStaff');
  }

  static Future<Null> uploadCRM(String uid, String name, String phone) async {
    await _channel.invokeMethod('uploadCRM', [uid, name, phone]);
  }

  static Future<Null> logout() async {
    await _channel.invokeMethod('logout');
  }

  static Future<Null> show() async {
    await _channel.invokeMethod('show');
  }
}
